Impossibile installare dike6 su ubuntu 16.10

Installazione, configurazione e uso di programmi e strumenti.

Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 16:22

Buongiorno a tutti, ho cercato discussioni con il mio stesso problema ma non ho trovato nulla. Ho scaricato il pacchetto di dike dal sito di infocert. Se provo a installarlo da ubuntu software center l'installazione non si avvia e il programma non da segni di vita. Se invece lo lancio da termine con sudo apt-get install dike6-installer-x86_64.deb ottengo questa risposta:

Codice: Seleziona tutto
lucio@lucio-HP-15-Notebook-PC:~$ sudo apt-get install dike6-installer-x86_64.deb
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto dike6-installer-x86_64.deb
E: Impossibile trovare alcun pacchetto tramite il glob "dike6-installer-x86_64.deb"
E: Impossibile trovare alcun pacchetto tramite l'espressione regolare "dike6-installer-x86_64.deb"
lucio@lucio-HP-15-Not


Perché non trova il pacchetto?
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda caturen » venerdì 17 febbraio 2017, 16:37

Codice: Seleziona tutto
sudo apt-get install gdebi
poi vai sul deb - tasto destro - apri con e gli dici di aprirlo con gdebi. Farà tutto lui, cioè ti installerà le dipendenze necessarie e poi installerà il pacchetto.
Ps con il comando che hai dato tu si installano i pacchetti presenti nei repository e non i deb scaricai dalla rete.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 12691
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 16:39

Dovresti usare apt e indicare l'intero percorso per esempio

Codice: Seleziona tutto
sudo apt install /home/$USER/Scaricati/dike6-installer-x86_64.deb
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 16:50

Grazie a entrambi, purtroppo entrambe le soluzioni non mi hanno dato risultati.

-Installando gdebi mi da questo errore: la dipendenza non può essere soddisfatta: libgstreamer0.10-0

-Usando la linea di comando io metto:

Codice: Seleziona tutto
sudo apt install /home/$user/Scaricati/dike6-installer-x86_64.deb


e lui mi risponde:

Codice: Seleziona tutto
Lettura elenco dei pacchetti... Fatto
E: Unsupported file /home/$user/scaricati/dike6-installer-x86_64.deb given on commandline


Cosa potrebbe essere?

scusate per il comando sbagliato, sono alle prime armi con linux
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 16:54

Lux86 Immagine ha scritto:-Usando la linea di comando io metto:

Codice: Seleziona tutto
sudo apt install /home/$user/Scaricati/dike6-installer-x86_64.deb


Cosa potrebbe essere?

scusate per il comando sbagliato, sono alle prime armi con linux
Non ho scritto $user, ho scritto $USER. Ma il pacchetto si trova nella cartella "Scaricati"?
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 16:59

Sì, è nella cartella Scaricati. Avevo copiato male il codice, adesso mi da questo risultato:

Codice: Seleziona tutto
E: Impossibile impostare il blocco /var/lib/dpkg/lock - open (11: Risorsa temporaneamente non disponibile)
E: Impossibile acquisire il blocco sulla directory di amministrazione (/var/lib/dpkg/). Un altro processo potrebbe tenerla occupata.
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 17:09

Un altro processo blocca la gestione dei pacchetti. Hai aperto Ubuntu Software o Synaptic o un altro terminale con apt attivo?
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 17:17

C'era un processo attivo che ho chiuso riavviando.
Adesso l'errore che mi da è questo:

Codice: Seleziona tutto
lucio@lucio-HP-15-Notebook-PC:~$ sudo apt install /home/$USER/Scaricati/dike6.deb
[sudo] password di lucio:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Nota, viene selezionato "dike6" al posto di "/home/lucio/Scaricati/dike6.deb"
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 dike6 : Dipende: libgstreamer-plugins-base0.10-0 ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


A quanto pare è proprio libgstreamer-plugins-base0.10-0 che non è installabile. Come posso risolvere?

p.s. ho modificato io il nome del pacchetto in "dike6" per gestirlo meglio
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 17:18

Codice: Seleziona tutto
sudo apt update && sudo apt install -f
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 17:22

Ho usato il comando che mi hai suggerito, ha aggiornato, ho riprovato a installare dike6 ma l'errore resta sempre lo stesso
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 17:33

Nei repo di Yakkety si trova la versione libgstreamer-plugins-base1.0-0, ma nel pacchetto .deb vuole libgstreamer-plugins-base0.10-0. Secondo me il creatore del .deb dovrebbe aggiornare le dipendenze (e scrivere anche una guida d'installazione). O tu usi una versione di Ubuntu più vecchia.
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Lux86 » venerdì 17 febbraio 2017, 17:39

Quindi non c'è soluzione? O uso un SO più vecchio oppure aspetto che infocert aggiorni le dipendenze? :cry:
Lux86
Prode Principiante
 
Messaggi: 6
Iscrizione: febbraio 2017
Distribuzione: 16.10 x86_64
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda Gerry Ghetto » venerdì 17 febbraio 2017, 17:48

Lux86 Immagine ha scritto:O uso un SO più vecchio oppure aspetto che infocert aggiorni le dipendenze?
C'è anche una terza soluzione in teoria: Scompatti l'archivio .deb e aggiorni tu le dipendenze. Ma non l'ho mai fatto, quindi non posso aiutarti.

Secondo me dovresti scrivere a infocert e linkare questa discussione.
Scusate il mio italiano. Non è la mia madrelingua.
forum.ubuntu-it.org - il peggior forum che conosco
Gerry Ghetto
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1170
Iscrizione: marzo 2015

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda enziosavio » venerdì 17 febbraio 2017, 19:15

http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb

Prova con il pacchetto singolo se non dà rogne
La lealtà ritorna a chi la pratica
Avatar utente
enziosavio
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 2182
Iscrizione: novembre 2010
Desktop: Gnome-Shell
Sesso: Maschile

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda caturen » venerdì 17 febbraio 2017, 19:50

Quindi non c'è soluzione?
basta semplicemente installare a mano quella dipendenza. Enziosavio ti ha dato il link del deb
Secondo me il creatore del .deb dovrebbe aggiornare le dipendenze
il creatore di quel deb si basa su LTS, non va di certo a prendere in considerazione l'ultima versione di ubuntu che ha eliminato nei repo quel pacchetto
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 12691
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Impossibile installare dike6 su ubuntu 16.10

Messaggioda fabrixx » venerdì 17 febbraio 2017, 20:27

Ricapitolando quindi:


libgstreamer-plugins-base0.10


Download:
http://hr.archive.ubuntu.com/ubuntu/poo ... _amd64.deb
Lo installi con:
Codice: Seleziona tutto
$ sudo dpkg -i libgstreamer-plugins-base0.10-0_0.10.36-2_amd64.deb



Avrai bisogno anche di questo:
libgstreamer0.10:

Download:
http://hr.archive.ubuntu.com/ubuntu/poo ... _amd64.deb

Lo installi con:
Codice: Seleziona tutto
$ sudo dpkg -i libgstreamer0.10-0_0.10.36-1.5ubuntu1_amd64.deb
Per un futuro migliore, apt-get dist-upgrade per tutti...
os)(side blog      
Avatar utente
fabrixx
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 4072
Iscrizione: maggio 2006
Desktop: gnome 3.23_x86_64 dev_rep
Distribuzione: "Arch Linux" x86_64


Torna a Applicazioni

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 9 ospiti